Bug 1306151 - unable to reboot APM Mustang running 4.5.0-0.rc1.git0.2.fc24.aarch64 kernel
unable to reboot APM Mustang running 4.5.0-0.rc1.git0.2.fc24.aarch64 kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
aarch64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2016-02-10 03:07 EST by Marcin Juszkiewicz
Modified: 2016-02-23 14:00 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 14:00:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Juszkiewicz 2016-02-10 03:07:38 EST
Description of problem:

"sudo reboot" ends with halted system:

[  OK  ] Stopped Create Static Device Nodes in /dev.
[  OK  ] Stopped Remount Root and Kernel File Systems.
[  OK  ] Reached target Shutdown.
[ 1255.875628] systemd-shutdown[1]: Sending SIGTERM to remaining processes...
[ 1255.892987] systemd-journald[496]: Received SIGTERM from PID 1 (systemd-shutdow).
[ 1256.109744] systemd-shutdown[1]: Sending SIGKILL to remaining processes...
[ 1256.122716] systemd-shutdown[1]: Unmounting file systems.
[ 1256.128374] systemd-shutdown[1]: Remounting '/' read-only with options 'seclabel,data=ordered'.
[ 1256.332936] EXT4-fs (sda22): re-mounted. Opts: data=ordered
[ 1256.352196] systemd-shutdown[1]: Remounting '/' read-only with options 'seclabel,data=ordered'.
[ 1256.361003] EXT4-fs (sda22): re-mounted. Opts: data=ordered
[ 1256.366558] systemd-shutdown[1]: All filesystems unmounted.
[ 1256.372107] systemd-shutdown[1]: Deactivating swaps.
[ 1256.377169] systemd-shutdown[1]: All swaps deactivated.
[ 1256.382378] systemd-shutdown[1]: Detaching loop devices.
[ 1256.406691] systemd-shutdown[1]: All loop devices detached.
[ 1256.412255] systemd-shutdown[1]: Detaching DM devices.
[ 1256.417482] systemd-shutdown[1]: All DM devices detached.
[ 1256.566170] systemd-shutdown[1]: Rebooting.
[ 1256.570347] kvm: exiting hardware virtualization

And nothing happens...

Version-Release number of selected component (if applicable):

4.5.0-0.rc1.git0.2.fc24.aarch64

How reproducible:

always

Steps to Reproduce:
1. boot APM mustang
2. sudo reboot

Actual results:

system hangs

Expected results:

system reboots

Additional info:
Comment 1 Marcin Juszkiewicz 2016-02-23 14:00:39 EST
Works with 4.5-rc5

[  398.007023] reboot: Restarting system
X-Gene Mustang Board
Boot firmware (version 1.1.0 built at 14:50:19 on Oct 20 2015)

Note You need to log in before you can comment on or make changes to this bug.